/*
 * Copyright 2013 Peter Olsson
 * 
 * This file is part of Brum Brum Rally.
 * 
 * Brum Brum Rally is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Brum Brum Rally is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef KEYBOARDDRIVER_H
#define KEYBOARDDRIVER_H

#include "Driver.h"

class KeyboardDriver : public Driver
{
public:
	KeyboardDriver();
	KeyboardDriver(SDLKey gasKey, SDLKey brakeKey, SDLKey leftKey, SDLKey rightKey);
	virtual int drive(int carId, const Track& track);
	virtual bool setControl(const SDL_Event& event, int control);
	virtual std::string getControlName(int control) const;
	virtual void save(std::ostream&) const;
	virtual void load(std::istream&);
private:
	int keys[4];
};

#endif
